免责声明: 本文档可能包含第三方产品信息,该信息仅供参考。阿里云对第三方产品的性能、可靠性以及操作可能带来的潜在影响,不做任何暗示或其他形式的承诺。

问题描述

Linux系统中手动安装云安全中心的Agent插件时,报以下错误。

Permission denied

问题原因

可能是下列三种原因导致的。

  • 通过非root用户安装Agent插件。
  • Agent程序目录没有可执行(x)权限。
  • 安装第三方防护软件云锁拦截Agent插件。

解决方案

阿里云提醒您:

  • 如果您对实例或数据有修改、变更等风险操作,务必注意实例的容灾、容错能力,确保数据安全。
  • 如果您对实例(包括但不限于ECS、RDS)等进行配置与数据修改,建议提前创建快照或开启RDS日志备份等功能。
  • 如果您在阿里云平台授权或者提交过登录账号、密码等安全信息,建议您及时修改。

请参考下列步骤进行排查。

  1. 使用root用户重新安装Agent插件。
  2. 如果使用root用户安装后仍然存在该错误,请参考以下命令,检查/usr/local/aegis目录是否存在可执行(x)权限。
    ls -al /usr/local/aegis
  3. 如果不存在可执行权限,请参考以下命令,赋予该目录可执行权限。
    chmod -R 755 /usr/local/aegis
  4. 如果仍然存在权限错误,请检查您的服务器是否安装了云锁程序。如果安装了云锁程序,请暂时关闭云锁程序后,重新安装Agent插件。
    说明:您可以参考以下命令,检查服务器是否正在运行云锁程序。
    ps -ef | grep yunsuo_agent

适用于

  • 云服务器 ECS
  • 云安全中心

如果您的问题仍未解决,您可以在阿里云社区免费咨询,或提交工单联系阿里云技术支持。